1.1
1.1
put /v1/invitations/{invitation_id}/accept
Description
accept a specific invitation
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | invitation_id required | 초대 ID Example : 138c2fc8c29a449dbfa8681f8f1d78e2 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | InvitationAcceptResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/invitations/{invitation_id}/accept
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.1"
Example HTTP response
Response 200
{
"failed_id": {
"error_code": "Invitation.AlreadySentError",
"failed_caused": "Account b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0 is not found",
"failed_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
"failed_name": "My Organization"
},
"master_account_email": "score@samsung.com",
"success_id": {
"success_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
"success_name": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5"
}
}